# SubCreateEvent (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Event

## Class SubCreateEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - net.ME1312.SubServers.Client.Bukkit.Event.SubCreateEvent

All Implemented Interfaces:
  SubEvent

    public class SubCreateEvent
    extends org.bukkit.event.Event
    implements SubEvent

Server Create Event

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`SubCreateEvent(java.util.UUID player, java.lang.String host, java.lang.String name, java.lang.String template, Version version, int port)` Server Create Event

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`java.lang.String` `getHost()` Get the Host the SubServer will run on
`java.lang.String` `getName()` Get the name the SubServer will use
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`int` `getPort()` Get the Port the Server will use
`java.lang.String` `getTemplate()` Get the Template to Use
`void` `getTemplate(java.lang.String value)` Set the Template to Use
`Version` `getVersion()` Get the Version the Server will use
`void` `setVersion(Version value)` Set the Version the Server will use

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCreateEvent

    public SubCreateEvent(java.util.UUID player,
                          java.lang.String host,
                          java.lang.String name,
                          java.lang.String template,
                          Version version,
                          int port)

Server Create Event

Parameters:
  `player` - Player Creating
  `host` - Potential Host
  `name` - Server Name
  `template` - Server Type
  `version` - Server Version
  `port` - Server Port Number

### Method Detail

#### getHost

    public java.lang.String getHost()

Get the Host the SubServer will run on

Returns:
  Potential Host

#### getName

    public java.lang.String getName()

Get the name the SubServer will use

Returns:
  SubServer Name

#### getTemplate

    public java.lang.String getTemplate()

Get the Template to Use

Returns:
  Server Template

#### getTemplate

    public void getTemplate(java.lang.String value)

Set the Template to Use

Parameters:
  `value` - Value

#### getVersion

    public Version getVersion()

Get the Version the Server will use

Returns:
  Server Version

#### setVersion

    public void setVersion(Version value)

Set the Version the Server will use

Parameters:
  `value` - Value

#### getPort

    public int getPort()

Get the Port the Server will use

Returns:
  Port Number

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()